# -*- coding: iso-8859-2 -*-

#	Programmer:	Piotr Borek
#	E-mail:		piotrborek@op.pl
#
#	Copyright 2006  Piotr Borek
#
#	Distributed under the terms of the GPL (GNU Public License)
#
#    pyX4 is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

import lib.proxy

from lib.splash import SplashWindow
SplashWindow.pulse_text_import("conf.null")

import gtk

class NullProperty(gtk.VBox):
    """
    It's a base class for all clases inserted in preferences box. You can't insert any class
    to preferences box without inheriting this base class.
    """
    def __init__(self):
        """Konstruktor"""
        gtk.VBox.__init__(self)
        self.static_vars = lib.proxy.StaticProxy(self)
    def get_static(self):
        """
        get_static() method returns proxy class that you can use to read any static variables
        defined in child class.
        """
        return self.static_vars
    def apply_clicked(self, button, data=None):
        """
        Use this method to know when user clicks apply button.
        """
    def hide_widget(self):
        """
        Use this method when you need to know when the widged is closed by user.
        When user close the widget program will only hide the widget by callind its hide()
        method.
        """
    def show_widget(self):
        """
        Use this method to know when the widget is displayed on screen after it has been
        hide
        """
