# -*- coding: iso-8859-2 -*-

#	Programmer:	Piotr Borek
#	E-mail:		piotrborek@op.pl
#
#	Copyright 2006  Piotr Borek
#
#	Distributed under the terms of the GPL (GNU Public License)
#
#    pyX4 is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

from lib.splash import SplashWindow
SplashWindow.pulse_text_import('lib.encodings')

enc_group = (
    (_('West European'), ('cp850', 'cp1252', 'cp1253',  'iso8859-1', 'iso8859-3', 'iso8859-7',  'iso8859-10', 'iso8859-14', 'iso8859-15')),
    (_('East European'), ('cp852', 'cp855', 'cp866', 'cp1250', 'cp1251', 'cp1257', 'iso8859-2', 'iso8859-4', 'iso8859-5', 'iso8859-13', 'iso8859-16', 'koi8-r', 'koi8-u')),
    (_('East Asian'), ('big5', 'big5hkscs', 'cp949', 'euc-jp', 'euc-kr', 'gb18030', 'gb2312', 'gbk', 'iso2022-jp', 'iso2022-jp-1', 'iso2022-jp-2', 'iso2022-jp-3', 'iso2022-jp-2004', 'iso2022-jp-ext', 'iso2022-kr', 'johab', 'shift-jis', 'shift-jisx0213', 'shift-jis-2004')),
    (_('SE & SW Asian'), ('cp857', 'cp1254', 'cp1258', 'iso8859-9', 'tis-620')),
    (_('Middle Eastern'), ('cp862', 'cp864', 'cp1255', 'cp1256', 'iso8859-6', 'iso8859-8')),
    (_('Unicode'), ('utf-7', 'utf-8', 'utf-16', 'utf-16-be', 'utf-16-le')),
    (_('Other'), ('ascii', 'cp037', 'cp424', 'cp437', 'cp500', 'cp737', 'cp775', 'cp856', 'cp860', 'cp861', 'cp863', 'cp865', 'cp869', 'cp874', 'cp875', 'cp932', 'cp950', 'cp1006', 'cp1026', 'cp1140', 'hp-roman8', 'mac-cyrillic', 'mac-greek', 'mac-iceland', 'mac-latin2', 'mac-roman', 'mac-turkish', 'palmos', 'iso8859-11'))
)

enc_list = (
    'ascii',
    'big5',
    'big5hkscs',
    'cp037',
    'cp1006',
    'cp1026',
    'cp1140',
    'cp1250',
    'cp1251',
    'cp1252',
    'cp1253',
    'cp1254',
    'cp1255',
    'cp1256',
    'cp1257',
    'cp1258',
    'cp424',
    'cp437',
    'cp500',
    'cp737',
    'cp775',
    'cp850',
    'cp852',
    'cp855',
    'cp856',
    'cp857',
    'cp860',
    'cp861',
    'cp862',
    'cp863',
    'cp864',
    'cp865',
    'cp866',
    'cp869',
    'cp874',
    'cp875',
    'cp932',
    'cp949',
    'cp950',
    'euc-jis-2004',
    'euc-jisx0213',
    'euc-jp',
    'euc-kr',
    'gb18030',
    'gb2312',
    'gbk',
    'hp-roman8',
    'iso2022-jp',
    'iso2022-jp-1',
    'iso2022-jp-2',
    'iso2022-jp-2004',
    'iso2022-jp-3',
    'iso2022-jp-ext',
    'iso2022-kr',
    'iso8859-1',
    'iso8859-2',
    'iso8859-3',
    'iso8859-4',
    'iso8859-5',
    'iso8859-6',
    'iso8859-7',
    'iso8859-8',
    'iso8859-9',
    'iso8859-10',
    'iso8859-11',
    'iso8859-13',
    'iso8859-14',
    'iso8859-15',
    'iso8859-16',
    'johab',
    'koi8-r',
    'koi8-u',
    'mac-cyrillic',
    'mac-greek',
    'mac-iceland',
    'mac-latin2',
    'mac-roman',
    'mac-turkish',
    'mbcs',
    'palmos',
    'ptcp154',
    'shift-jis',
    'shift-jis-2004',
    'shift-jisx0213',
    'tis-620',
    'utf-16',
    'utf-16-be',
    'utf-16-le',
    'utf-7',
    'utf-8'
)
