# -*- coding: iso-8859-2 -*-

#	Programmer:	Piotr Borek
#	E-mail:		piotrborek@op.pl
#
#	Copyright 2006  Piotr Borek
#
#	Distributed under the terms of the GPL (GNU Public License)
#
#    pyX4 is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

from lib.splash import SplashWindow
SplashWindow.pulse_text_import("lib.env_data")

import locale

def init(share_data):
    plugin_path = "plugins/"
    share_data.register_data('env.path.plugins', plugin_path)
    syntax_path = "syntax/"
    share_data.register_data('env.path.syntax', syntax_path)
    colors_path = "syntax/colors/"
    share_data.register_data('env.path.colors', colors_path)
    lang, encoding = locale.getdefaultlocale()
    share_data.register_data('env.encoding', encoding)
