# -*- coding: iso-8859-2 -*-

#	Programmer:	Piotr Borek
#	E-mail:		piotrborek@op.pl
#
#	Copyright 2006  Piotr Borek
#
#	Distributed under the terms of the GPL (GNU Public License)
#
#    pyX4 is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

from lib.splash import SplashWindow
SplashWindow.pulse_text_import('widget.dialogs')

import gtk

class InputDialog(gtk.Dialog):
    def __init__(self, title):
        gtk.Dialog.__init__(self, title, None, gtk.DIALOG_MODAL, (gtk.STOCK_CANCEL, gtk.RESPONSE_REJECT, gtk.STOCK_OK, gtk.RESPONSE_ACCEPT))
        label = gtk.Label(title)
        label.show()
        self.vbox.pack_start(label, False, False)
        self.entry = gtk.Entry()
        self.entry.connect('activate', self.activate_event)
        self.entry.show()
        self.vbox.pack_start(self.entry, True, True)
    def get_text(self):
        return self.entry.get_text()
    def activate_event(self, widget, data=None):
        self.response(gtk.RESPONSE_ACCEPT)
