# -*- coding: iso-8859-2 -*-

#	Programmer:	Piotr Borek
#	E-mail:		piotrborek@op.pl
#
#	Copyright 2006  Piotr Borek
#
#	Distributed under the terms of the GPL (GNU Public License)
#
#    pyX4 is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

import lib.core

from lib.splash import SplashWindow
SplashWindow.pulse_text_import('widget.terminal')

try:
    import vte

    class Terminal(vte.Terminal):
        implemented = True
        def __init__(self):
            vte.Terminal.__init__(self)
            lib.core.events.connect(self, 'conf.terminal.font', self.font_changed)
            self.font_changed()
        def font_changed(self, share_data=None, param=None, data=None):
            p = lib.core.share_data.get_data('conf.terminal.font')
            self.set_font_from_string(p.font_name)
except:
    class Terminal:
        implemented = False
