# -*- coding: iso-8859-2 -*-

#	Programmer:	Piotr Borek
#	E-mail:		piotrborek@op.pl
#
#	Copyright 2006  Piotr Borek
#
#	Distributed under the terms of the GPL (GNU Public License)
#
#    pyX4 is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

import lib.config
import conf.base

from lib.splash import SplashWindow
SplashWindow.pulse_text_import("conf.editor.font")

import gtk

class FontProperty(conf.base.PropertyBase):
    font_name = 'Fixed 11'
    def __init__(self):
        """Konstruktor"""
	conf.base.PropertyBase.__init__(self, _("Font selection"))
	self.config_file = lib.config.ConfigureSection(self, 'Editor')
	self.read_config()
	self.select = gtk.FontSelection()
	self.select.show()
        self.pack_start(self.select, True, True, 0)
    def show_widget(self):
        self.select.set_font_name(FontProperty.font_name)
    def apply_clicked(self, button, data=None):
	FontProperty.font_name = self.select.get_font_name()
    def read_config(self):
	if self.config_file.has_option('Font'):
	    FontProperty.font_name = self.config_file.get('Font')	
    def update_config(self):
	self.config_file.set('Font', FontProperty.font_name)
