# -*- coding: iso-8859-2 -*-

#	Programmer:	Piotr Borek
#	E-mail:		piotrborek@op.pl
#
#	Copyright 2006  Piotr Borek
#
#	Distributed under the terms of the GPL (GNU Public License)
#
#    pyX4 is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

import gui.main_gui
import widget.terminal

from lib.splash import SplashWindow
SplashWindow.pulse_text_import("gui.callback")

import gtk

def new_file_clicked(widget, data=None):
    gui.main_gui.app.new_file()

def open_file_clicked(widget, data=None):
    gui.main_gui.app.open_file_dialog()

def save_file_as_clicked(widget, data=None):
    gui.main_gui.notebook.save_file_as()
    
def save_file_clicked(widget, data=None):
    gui.main_gui.notebook.save_file()

def save_all_files_clicked(widget, data=None):
    gui.main_gui.notebook.save_all_files()

def exit_app_clicked(widget, data=None):
    gui.main_gui.app.exit_application()

def preferences_clicked(widget, data=None):
    gui.main_gui.notebook.append_page(gui.main_gui.preferences, _("Preferences box"))
    gui.main_gui.preferences.show_preferences()

def fullscreen_clicked(widget, data=None):
    gui.main_gui.app.fullscreen_change()

def about_clicked(widget, data=None):
    gui.main_gui.app.show_about_dialog()

def terminal_clicked(w, data=None):
    term = widget.terminal.Terminal()
    term.fork_command('/bin/bash')
    term.show()
    gui.main_gui.notebook.append_page(term, _("Terminal"))
