# -*- coding: iso-8859-2 -*-

#	Programmer:	Piotr Borek
#	E-mail:		piotrborek@op.pl
#
#	Copyright 2006  Piotr Borek
#
#	Distributed under the terms of the GPL (GNU Public License)
#
#    pyX4 is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

from lib.splash import SplashWindow
SplashWindow.pulse_text_import("gui.hpaned")

import gtk

class HPaned(gtk.HPaned):
    def __init__(self):
        gtk.HPaned.__init__(self)
        self.hbox = gtk.HBox()
        gtk.HPaned.pack1(self, self.hbox)
        self.children = {}
        self.active = None
    def pack1(self, child, resize=False, shrink=True):
        self.hbox.show()
        try:
            dummy = self.children[child]
        except:
            self.children[child] = 1
            self.hbox.pack_start(child)
        if self.active:
            self.active.hide()
        self.active = child
        self.active.show()
    def remove(self, child):
        self.hbox.hide()
    def add1(self, child):
        self.pack1(child)
