# -*- coding: iso-8859-2 -*-

#	Programmer:	Piotr Borek
#	E-mail:		piotrborek@op.pl
#	Note:		You must reply to the verification e-mail to get through.
#
#	Copyright 2006  Piotr Borek
#
#	Distributed under the terms of the GPL (GNU Public License)
#
#    pyX4 is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

import widget.buttons

from lib.splash import SplashWindow
SplashWindow.pulse_text_import("gui.plugintoolbar")

import gtk

class PluginToolBar(gtk.Toolbar):
    def __init__(self):
	gtk.Toolbar.__init__(self)
	self.set_style(gtk.TOOLBAR_BOTH)
	self.set_orientation(gtk.ORIENTATION_VERTICAL)
    def register_icon(self, func, stock_id, tip):
	item = widget.buttons.StockToolItem(stock_id, tip)
	item.show()
	item.connect('clicked', func)
	self.add(item)
