# -*- coding: iso-8859-2 -*-

#	Programmer:	Piotr Borek
#	E-mail:		piotrborek@op.pl
#
#	Copyright 2006  Piotr Borek
#
#	Distributed under the terms of the GPL (GNU Public License)
#
#    pyX4 is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

# List of colors taken from /usr/share/X11/rgb

from lib.splash import SplashWindow
SplashWindow.pulse_text_import("lib.colors")

color_dict = {}
color_dict["Snow"] = (255, 250, 250)
color_dict["GhostWhite"] = (248, 248, 255)
color_dict["WhiteSmoke"] = (245, 245, 245)
color_dict["Gainsboro"] = (220, 220, 220)
color_dict["FloralWhite"] = (255, 250, 240)
color_dict["OldLace"] = (253, 245, 230)
color_dict["Linen"] = (250, 240, 230)
color_dict["AntiqueWhite"] = (250, 235, 215)
color_dict["PapayaWhip"] = (255, 239, 213)
color_dict["BlanchedAlmond"] = (255, 235, 205)
color_dict["Bisque"] = (255, 228, 196)
color_dict["PeachPuff"] = (255, 218, 185)
color_dict["NavajoWhite"] = (255, 222, 173)
color_dict["Moccasin"] = (255, 228, 181)
color_dict["Cornsilk"] = (255, 248, 220)
color_dict["Ivory"] = (255, 255, 240)
color_dict["LemonChiffon"] = (255, 250, 205)
color_dict["Seashell"] = (255, 245, 238)
color_dict["Honeydew"] = (240, 255, 240)
color_dict["MintCream"] = (245, 255, 250)
color_dict["Azure"] = (240, 255, 255)
color_dict["AliceBlue"] = (240, 248, 255)
color_dict["Lavender"] = (230, 230, 250)
color_dict["LavenderBlush"] = (255, 240, 245)
color_dict["MistyRose"] = (255, 228, 225)
color_dict["White"] = (255, 255, 255)
color_dict["Black"] = (  0,   0,   0)
color_dict["DarkSlateGray"] = ( 47,  79,  79)
color_dict["DimGray"] = (105, 105, 105)
color_dict["SlateGray"] = (112, 128, 144)
color_dict["LightSlateGray"] = (119, 136, 153)
color_dict["Gray"] = (190, 190, 190)
color_dict["LightGray"] = (211, 211, 211)
color_dict["MidnightBlue"] = ( 25,  25, 112)
color_dict["Navy"] = (  0,   0, 128)
color_dict["NavyBlue"] = (  0,   0, 128)
color_dict["CornflowerBlue"] = (100, 149, 237)
color_dict["DarkSlateBlue"] = ( 72,  61, 139)
color_dict["SlateBlue"] = (106,  90, 205)
color_dict["MediumSlateBlue"] = (123, 104, 238)
color_dict["LightSlateBlue"] = (132, 112, 255)
color_dict["MediumBlue"] = (  0,   0, 205)
color_dict["RoyalBlue"] = ( 65, 105, 225)
color_dict["Blue"] = (  0,   0, 255)
color_dict["DodgerBlue"] = ( 30, 144, 255)
color_dict["DeepSkyBlue"] = (  0, 191, 255)
color_dict["SkyBlue"] = (135, 206, 235)
color_dict["LightSkyBlue"] = (135, 206, 250)
color_dict["SteelBlue"] = ( 70, 130, 180)
color_dict["LightSteelBlue"] = (176, 196, 222)
color_dict["LightBlue"] = (173, 216, 230)
color_dict["PowderBlue"] = (176, 224, 230)
color_dict["PaleTurquoise"] = (175, 238, 238)
color_dict["DarkTurquoise"] = (  0, 206, 209)
color_dict["MediumTurquoise"] = ( 72, 209, 204)
color_dict["Turquoise"] = ( 64, 224, 208)
color_dict["Cyan"] = (  0, 255, 255)
color_dict["LightCyan"] = (224, 255, 255)
color_dict["CadetBlue"] = ( 95, 158, 160)
color_dict["MediumAquamarine"] = (102, 205, 170)
color_dict["Aquamarine"] = (127, 255, 212)
color_dict["DarkGreen"] = (  0, 100,   0)
color_dict["DarkOliveGreen"] = ( 85, 107,  47)
color_dict["DarkSeaGreen"] = (143, 188, 143)
color_dict["SeaGreen"] = ( 46, 139,  87)
color_dict["MediumSeaGreen"] = ( 60, 179, 113)
color_dict["LightSeaGreen"] = ( 32, 178, 170)
color_dict["PaleGreen"] = (152, 251, 152)
color_dict["SpringGreen"] = (  0, 255, 127)
color_dict["LawnGreen"] = (124, 252,   0)
color_dict["Green"] = (  0, 255,   0)
color_dict["Chartreuse"] = (127, 255,   0)
color_dict["MediumSpringGreen"] = (  0, 250, 154)
color_dict["GreenYellow"] = (173, 255,  47)
color_dict["LimeGreen"] = ( 50, 205,  50)
color_dict["YellowGreen"] = (154, 205,  50)
color_dict["ForestGreen"] = ( 34, 139,  34)
color_dict["OliveDrab"] = (107, 142,  35)
color_dict["DarkKhaki"] = (189, 183, 107)
color_dict["Khaki"] = (240, 230, 140)
color_dict["PaleGoldenrod"] = (238, 232, 170)
color_dict["LightGoldenrodYellow"] = (250, 250, 210)
color_dict["LightYellow"] = (255, 255, 224)
color_dict["Yellow"] = (255, 255,   0)
color_dict["Gold"] = (255, 215,   0)
color_dict["LightGoldenrod"] = (238, 221, 130)
color_dict["Goldenrod"] = (218, 165,  32)
color_dict["DarkGoldenrod"] = (184, 134,  11)
color_dict["RosyBrown"] = (188, 143, 143)
color_dict["IndianRed"] = (205,  92,  92)
color_dict["SaddleBrown"] = (139,  69,  19)
color_dict["Sienna"] = (160,  82,  45)
color_dict["Peru"] = (205, 133,  63)
color_dict["Burlywood"] = (222, 184, 135)
color_dict["Beige"] = (245, 245, 220)
color_dict["Wheat"] = (245, 222, 179)
color_dict["SandyBrown"] = (244, 164,  96)
color_dict["Tan"] = (210, 180, 140)
color_dict["Chocolate"] = (210, 105,  30)
color_dict["Firebrick"] = (178,  34,  34)
color_dict["Brown"] = (165,  42,  42)
color_dict["DarkSalmon"] = (233, 150, 122)
color_dict["Salmon"] = (250, 128, 114)
color_dict["LightSalmon"] = (255, 160, 122)
color_dict["Orange"] = (255, 165,   0)
color_dict["DarkOrange"] = (255, 140,   0)
color_dict["Coral"] = (255, 127,  80)
color_dict["LightCoral"] = (240, 128, 128)
color_dict["Tomato"] = (255,  99,  71)
color_dict["OrangeRed"] = (255,  69,   0)
color_dict["Red"] = (255,   0,   0)
color_dict["HotPink"] = (255, 105, 180)
color_dict["DeepPink"] = (255,  20, 147)
color_dict["Pink"] = (255, 192, 203)
color_dict["LightPink"] = (255, 182, 193)
color_dict["PaleVioletRed"] = (219, 112, 147)
color_dict["Maroon"] = (176,  48,  96)
color_dict["MediumVioletRed"] = (199,  21, 133)
color_dict["VioletRed"] = (208,  32, 144)
color_dict["Magenta"] = (255,   0, 255)
color_dict["Violet"] = (238, 130, 238)
color_dict["Plum"] = (221, 160, 221)
color_dict["Orchid"] = (218, 112, 214)
color_dict["MediumOrchid"] = (186,  85, 211)
color_dict["DarkOrchid"] = (153,  50, 204)
color_dict["DarkViolet"] = (148,   0, 211)
color_dict["BlueViolet"] = (138,  43, 226)
color_dict["Purple"] = (160,  32, 240)
color_dict["MediumPurple"] = (147, 112, 219)
color_dict["Thistle"] = (216, 191, 216)
color_dict["Snow1"] = (255, 250, 250)
color_dict["Snow2"] = (238, 233, 233)
color_dict["Snow3"] = (205, 201, 201)
color_dict["Snow4"] = (139, 137, 137)
color_dict["Seashell1"] = (255, 245, 238)
color_dict["Seashell2"] = (238, 229, 222)
color_dict["Seashell3"] = (205, 197, 191)
color_dict["Seashell4"] = (139, 134, 130)
color_dict["AntiqueWhite1"] = (255, 239, 219)
color_dict["AntiqueWhite2"] = (238, 223, 204)
color_dict["AntiqueWhite3"] = (205, 192, 176)
color_dict["AntiqueWhite4"] = (139, 131, 120)
color_dict["Bisque1"] = (255, 228, 196)
color_dict["Bisque2"] = (238, 213, 183)
color_dict["Bisque3"] = (205, 183, 158)
color_dict["Bisque4"] = (139, 125, 107)
color_dict["PeachPuff1"] = (255, 218, 185)
color_dict["PeachPuff2"] = (238, 203, 173)
color_dict["PeachPuff3"] = (205, 175, 149)
color_dict["PeachPuff4"] = (139, 119, 101)
color_dict["NavajoWhite1"] = (255, 222, 173)
color_dict["NavajoWhite2"] = (238, 207, 161)
color_dict["NavajoWhite3"] = (205, 179, 139)
color_dict["NavajoWhite4"] = (139, 121,  94)
color_dict["LemonChiffon1"] = (255, 250, 205)
color_dict["LemonChiffon2"] = (238, 233, 191)
color_dict["LemonChiffon3"] = (205, 201, 165)
color_dict["LemonChiffon4"] = (139, 137, 112)
color_dict["Cornsilk1"] = (255, 248, 220)
color_dict["Cornsilk2"] = (238, 232, 205)
color_dict["Cornsilk3"] = (205, 200, 177)
color_dict["Cornsilk4"] = (139, 136, 120)
color_dict["Ivory1"] = (255, 255, 240)
color_dict["Ivory2"] = (238, 238, 224)
color_dict["Ivory3"] = (205, 205, 193)
color_dict["Ivory4"] = (139, 139, 131)
color_dict["Honeydew1"] = (240, 255, 240)
color_dict["Honeydew2"] = (224, 238, 224)
color_dict["Honeydew3"] = (193, 205, 193)
color_dict["Honeydew4"] = (131, 139, 131)
color_dict["LavenderBlush1"] = (255, 240, 245)
color_dict["LavenderBlush2"] = (238, 224, 229)
color_dict["LavenderBlush3"] = (205, 193, 197)
color_dict["LavenderBlush4"] = (139, 131, 134)
color_dict["MistyRose1"] = (255, 228, 225)
color_dict["MistyRose2"] = (238, 213, 210)
color_dict["MistyRose3"] = (205, 183, 181)
color_dict["MistyRose4"] = (139, 125, 123)
color_dict["Azure1"] = (240, 255, 255)
color_dict["Azure2"] = (224, 238, 238)
color_dict["Azure3"] = (193, 205, 205)
color_dict["Azure4"] = (131, 139, 139)
color_dict["SlateBlue1"] = (131, 111, 255)
color_dict["SlateBlue2"] = (122, 103, 238)
color_dict["SlateBlue3"] = (105,  89, 205)
color_dict["SlateBlue4"] = ( 71,  60, 139)
color_dict["RoyalBlue1"] = ( 72, 118, 255)
color_dict["RoyalBlue2"] = ( 67, 110, 238)
color_dict["RoyalBlue3"] = ( 58,  95, 205)
color_dict["RoyalBlue4"] = ( 39,  64, 139)
color_dict["Blue1"] = (  0,   0, 255)
color_dict["Blue2"] = (  0,   0, 238)
color_dict["Blue3"] = (  0,   0, 205)
color_dict["Blue4"] = (  0,   0, 139)
color_dict["DodgerBlue1"] = ( 30, 144, 255)
color_dict["DodgerBlue2"] = ( 28, 134, 238)
color_dict["DodgerBlue3"] = ( 24, 116, 205)
color_dict["DodgerBlue4"] = ( 16,  78, 139)
color_dict["SteelBlue1"] = ( 99, 184, 255)
color_dict["SteelBlue2"] = ( 92, 172, 238)
color_dict["SteelBlue3"] = ( 79, 148, 205)
color_dict["SteelBlue4"] = ( 54, 100, 139)
color_dict["DeepSkyBlue1"] = (  0, 191, 255)
color_dict["DeepSkyBlue2"] = (  0, 178, 238)
color_dict["DeepSkyBlue3"] = (  0, 154, 205)
color_dict["DeepSkyBlue4"] = (  0, 104, 139)
color_dict["SkyBlue1"] = (135, 206, 255)
color_dict["SkyBlue2"] = (126, 192, 238)
color_dict["SkyBlue3"] = (108, 166, 205)
color_dict["SkyBlue4"] = ( 74, 112, 139)
color_dict["LightSkyBlue1"] = (176, 226, 255)
color_dict["LightSkyBlue2"] = (164, 211, 238)
color_dict["LightSkyBlue3"] = (141, 182, 205)
color_dict["LightSkyBlue4"] = ( 96, 123, 139)
color_dict["SlateGray1"] = (198, 226, 255)
color_dict["SlateGray2"] = (185, 211, 238)
color_dict["SlateGray3"] = (159, 182, 205)
color_dict["SlateGray4"] = (108, 123, 139)
color_dict["LightSteelBlue1"] = (202, 225, 255)
color_dict["LightSteelBlue2"] = (188, 210, 238)
color_dict["LightSteelBlue3"] = (162, 181, 205)
color_dict["LightSteelBlue4"] = (110, 123, 139)
color_dict["LightBlue1"] = (191, 239, 255)
color_dict["LightBlue2"] = (178, 223, 238)
color_dict["LightBlue3"] = (154, 192, 205)
color_dict["LightBlue4"] = (104, 131, 139)
color_dict["LightCyan1"] = (224, 255, 255)
color_dict["LightCyan2"] = (209, 238, 238)
color_dict["LightCyan3"] = (180, 205, 205)
color_dict["LightCyan4"] = (122, 139, 139)
color_dict["PaleTurquoise1"] = (187, 255, 255)
color_dict["PaleTurquoise2"] = (174, 238, 238)
color_dict["PaleTurquoise3"] = (150, 205, 205)
color_dict["PaleTurquoise4"] = (102, 139, 139)
color_dict["CadetBlue1"] = (152, 245, 255)
color_dict["CadetBlue2"] = (142, 229, 238)
color_dict["CadetBlue3"] = (122, 197, 205)
color_dict["CadetBlue4"] = ( 83, 134, 139)
color_dict["Turquoise1"] = (  0, 245, 255)
color_dict["Turquoise2"] = (  0, 229, 238)
color_dict["Turquoise3"] = (  0, 197, 205)
color_dict["Turquoise4"] = (  0, 134, 139)
color_dict["Cyan1"] = (  0, 255, 255)
color_dict["Cyan2"] = (  0, 238, 238)
color_dict["Cyan3"] = (  0, 205, 205)
color_dict["Cyan4"] = (  0, 139, 139)
color_dict["DarkSlateGray1"] = (151, 255, 255)
color_dict["DarkSlateGray2"] = (141, 238, 238)
color_dict["DarkSlateGray3"] = (121, 205, 205)
color_dict["DarkSlateGray4"] = ( 82, 139, 139)
color_dict["Aquamarine1"] = (127, 255, 212)
color_dict["Aquamarine2"] = (118, 238, 198)
color_dict["Aquamarine3"] = (102, 205, 170)
color_dict["Aquamarine4"] = ( 69, 139, 116)
color_dict["DarkSeaGreen1"] = (193, 255, 193)
color_dict["DarkSeaGreen2"] = (180, 238, 180)
color_dict["DarkSeaGreen3"] = (155, 205, 155)
color_dict["DarkSeaGreen4"] = (105, 139, 105)
color_dict["SeaGreen1"] = ( 84, 255, 159)
color_dict["SeaGreen2"] = ( 78, 238, 148)
color_dict["SeaGreen3"] = ( 67, 205, 128)
color_dict["SeaGreen4"] = ( 46, 139,  87)
color_dict["PaleGreen1"] = (154, 255, 154)
color_dict["PaleGreen2"] = (144, 238, 144)
color_dict["PaleGreen3"] = (124, 205, 124)
color_dict["PaleGreen4"] = ( 84, 139,  84)
color_dict["SpringGreen1"] = (  0, 255, 127)
color_dict["SpringGreen2"] = (  0, 238, 118)
color_dict["SpringGreen3"] = (  0, 205, 102)
color_dict["SpringGreen4"] = (  0, 139,  69)
color_dict["Green1"] = (  0, 255,   0)
color_dict["Green2"] = (  0, 238,   0)
color_dict["Green3"] = (  0, 205,   0)
color_dict["Green4"] = (  0, 139,   0)
color_dict["Chartreuse1"] = (127, 255,   0)
color_dict["Chartreuse2"] = (118, 238,   0)
color_dict["Chartreuse3"] = (102, 205,   0)
color_dict["Chartreuse4"] = ( 69, 139,   0)
color_dict["OliveDrab1"] = (192, 255,  62)
color_dict["OliveDrab2"] = (179, 238,  58)
color_dict["OliveDrab3"] = (154, 205,  50)
color_dict["OliveDrab4"] = (105, 139,  34)
color_dict["DarkOliveGreen1"] = (202, 255, 112)
color_dict["DarkOliveGreen2"] = (188, 238, 104)
color_dict["DarkOliveGreen3"] = (162, 205,  90)
color_dict["DarkOliveGreen4"] = (110, 139,  61)
color_dict["Khaki1"] = (255, 246, 143)
color_dict["Khaki2"] = (238, 230, 133)
color_dict["Khaki3"] = (205, 198, 115)
color_dict["Khaki4"] = (139, 134,  78)
color_dict["LightGoldenrod1"] = (255, 236, 139)
color_dict["LightGoldenrod2"] = (238, 220, 130)
color_dict["LightGoldenrod3"] = (205, 190, 112)
color_dict["LightGoldenrod4"] = (139, 129,  76)
color_dict["LightYellow1"] = (255, 255, 224)
color_dict["LightYellow2"] = (238, 238, 209)
color_dict["LightYellow3"] = (205, 205, 180)
color_dict["LightYellow4"] = (139, 139, 122)
color_dict["Yellow1"] = (255, 255,   0)
color_dict["Yellow2"] = (238, 238,   0)
color_dict["Yellow3"] = (205, 205,   0)
color_dict["Yellow4"] = (139, 139,   0)
color_dict["Gold1"] = (255, 215,   0)
color_dict["Gold2"] = (238, 201,   0)
color_dict["Gold3"] = (205, 173,   0)
color_dict["Gold4"] = (139, 117,   0)
color_dict["Goldenrod1"] = (255, 193,  37)
color_dict["Goldenrod2"] = (238, 180,  34)
color_dict["Goldenrod3"] = (205, 155,  29)
color_dict["Goldenrod4"] = (139, 105,  20)
color_dict["DarkGoldenrod1"] = (255, 185,  15)
color_dict["DarkGoldenrod2"] = (238, 173,  14)
color_dict["DarkGoldenrod3"] = (205, 149,  12)
color_dict["DarkGoldenrod4"] = (139, 101,   8)
color_dict["RosyBrown1"] = (255, 193, 193)
color_dict["RosyBrown2"] = (238, 180, 180)
color_dict["RosyBrown3"] = (205, 155, 155)
color_dict["RosyBrown4"] = (139, 105, 105)
color_dict["IndianRed1"] = (255, 106, 106)
color_dict["IndianRed2"] = (238,  99,  99)
color_dict["IndianRed3"] = (205,  85,  85)
color_dict["IndianRed4"] = (139,  58,  58)
color_dict["Sienna1"] = (255, 130,  71)
color_dict["Sienna2"] = (238, 121,  66)
color_dict["Sienna3"] = (205, 104,  57)
color_dict["Sienna4"] = (139,  71,  38)
color_dict["Burlywood1"] = (255, 211, 155)
color_dict["Burlywood2"] = (238, 197, 145)
color_dict["Burlywood3"] = (205, 170, 125)
color_dict["Burlywood4"] = (139, 115,  85)
color_dict["Wheat1"] = (255, 231, 186)
color_dict["Wheat2"] = (238, 216, 174)
color_dict["Wheat3"] = (205, 186, 150)
color_dict["Wheat4"] = (139, 126, 102)
color_dict["Tan1"] = (255, 165,  79)
color_dict["Tan2"] = (238, 154,  73)
color_dict["Tan3"] = (205, 133,  63)
color_dict["Tan4"] = (139,  90,  43)
color_dict["Chocolate1"] = (255, 127,  36)
color_dict["Chocolate2"] = (238, 118,  33)
color_dict["Chocolate3"] = (205, 102,  29)
color_dict["Chocolate4"] = (139,  69,  19)
color_dict["Firebrick1"] = (255,  48,  48)
color_dict["Firebrick2"] = (238,  44,  44)
color_dict["Firebrick3"] = (205,  38,  38)
color_dict["Firebrick4"] = (139,  26,  26)
color_dict["Brown1"] = (255,  64,  64)
color_dict["Brown2"] = (238,  59,  59)
color_dict["Brown3"] = (205,  51,  51)
color_dict["Brown4"] = (139,  35,  35)
color_dict["Salmon1"] = (255, 140, 105)
color_dict["Salmon2"] = (238, 130,  98)
color_dict["Salmon3"] = (205, 112,  84)
color_dict["Salmon4"] = (139,  76,  57)
color_dict["LightSalmon1"] = (255, 160, 122)
color_dict["LightSalmon2"] = (238, 149, 114)
color_dict["LightSalmon3"] = (205, 129,  98)
color_dict["LightSalmon4"] = (139,  87,  66)
color_dict["Orange1"] = (255, 165,   0)
color_dict["Orange2"] = (238, 154,   0)
color_dict["Orange3"] = (205, 133,   0)
color_dict["Orange4"] = (139,  90,   0)
color_dict["DarkOrange1"] = (255, 127,   0)
color_dict["DarkOrange2"] = (238, 118,   0)
color_dict["DarkOrange3"] = (205, 102,   0)
color_dict["DarkOrange4"] = (139,  69,   0)
color_dict["Coral1"] = (255, 114,  86)
color_dict["Coral2"] = (238, 106,  80)
color_dict["Coral3"] = (205,  91,  69)
color_dict["Coral4"] = (139,  62,  47)
color_dict["Tomato1"] = (255,  99,  71)
color_dict["Tomato2"] = (238,  92,  66)
color_dict["Tomato3"] = (205,  79,  57)
color_dict["Tomato4"] = (139,  54,  38)
color_dict["OrangeRed1"] = (255,  69,   0)
color_dict["OrangeRed2"] = (238,  64,   0)
color_dict["OrangeRed3"] = (205,  55,   0)
color_dict["OrangeRed4"] = (139,  37,   0)
color_dict["Red1"] = (255,   0,   0)
color_dict["Red2"] = (238,   0,   0)
color_dict["Red3"] = (205,   0,   0)
color_dict["Red4"] = (139,   0,   0)
color_dict["DeepPink1"] = (255,  20, 147)
color_dict["DeepPink2"] = (238,  18, 137)
color_dict["DeepPink3"] = (205,  16, 118)
color_dict["DeepPink4"] = (139,  10,  80)
color_dict["HotPink1"] = (255, 110, 180)
color_dict["HotPink2"] = (238, 106, 167)
color_dict["HotPink3"] = (205,  96, 144)
color_dict["HotPink4"] = (139,  58,  98)
color_dict["Pink1"] = (255, 181, 197)
color_dict["Pink2"] = (238, 169, 184)
color_dict["Pink3"] = (205, 145, 158)
color_dict["Pink4"] = (139,  99, 108)
color_dict["LightPink1"] = (255, 174, 185)
color_dict["LightPink2"] = (238, 162, 173)
color_dict["LightPink3"] = (205, 140, 149)
color_dict["LightPink4"] = (139,  95, 101)
color_dict["PaleVioletRed1"] = (255, 130, 171)
color_dict["PaleVioletRed2"] = (238, 121, 159)
color_dict["PaleVioletRed3"] = (205, 104, 137)
color_dict["PaleVioletRed4"] = (139,  71,  93)
color_dict["Maroon1"] = (255,  52, 179)
color_dict["Maroon2"] = (238,  48, 167)
color_dict["Maroon3"] = (205,  41, 144)
color_dict["Maroon4"] = (139,  28,  98)
color_dict["VioletRed1"] = (255,  62, 150)
color_dict["VioletRed2"] = (238,  58, 140)
color_dict["VioletRed3"] = (205,  50, 120)
color_dict["VioletRed4"] = (139,  34,  82)
color_dict["Magenta1"] = (255,   0, 255)
color_dict["Magenta2"] = (238,   0, 238)
color_dict["Magenta3"] = (205,   0, 205)
color_dict["Magenta4"] = (139,   0, 139)
color_dict["Orchid1"] = (255, 131, 250)
color_dict["Orchid2"] = (238, 122, 233)
color_dict["Orchid3"] = (205, 105, 201)
color_dict["Orchid4"] = (139,  71, 137)
color_dict["Plum1"] = (255, 187, 255)
color_dict["Plum2"] = (238, 174, 238)
color_dict["Plum3"] = (205, 150, 205)
color_dict["Plum4"] = (139, 102, 139)
color_dict["MediumOrchid1"] = (224, 102, 255)
color_dict["MediumOrchid2"] = (209,  95, 238)
color_dict["MediumOrchid3"] = (180,  82, 205)
color_dict["MediumOrchid4"] = (122,  55, 139)
color_dict["DarkOrchid1"] = (191,  62, 255)
color_dict["DarkOrchid2"] = (178,  58, 238)
color_dict["DarkOrchid3"] = (154,  50, 205)
color_dict["DarkOrchid4"] = (104,  34, 139)
color_dict["Purple1"] = (155,  48, 255)
color_dict["Purple2"] = (145,  44, 238)
color_dict["Purple3"] = (125,  38, 205)
color_dict["Purple4"] = ( 85,  26, 139)
color_dict["MediumPurple1"] = (171, 130, 255)
color_dict["MediumPurple2"] = (159, 121, 238)
color_dict["MediumPurple3"] = (137, 104, 205)
color_dict["MediumPurple4"] = ( 93,  71, 139)
color_dict["Thistle1"] = (255, 225, 255)
color_dict["Thistle2"] = (238, 210, 238)
color_dict["Thistle3"] = (205, 181, 205)
color_dict["Thistle4"] = (139, 123, 139)
color_dict["Gray000"] = (  0,   0,   0)
color_dict["Gray001"] = (  3,   3,   3)
color_dict["Gray002"] = (  5,   5,   5)
color_dict["Gray003"] = (  8,   8,   8)
color_dict["Gray004"] = ( 10,  10,  10)
color_dict["Gray005"] = ( 13,  13,  13)
color_dict["Gray006"] = ( 15,  15,  15)
color_dict["Gray007"] = ( 18,  18,  18)
color_dict["Gray008"] = ( 20,  20,  20)
color_dict["Gray009"] = ( 23,  23,  23)
color_dict["Gray010"] = ( 26,  26,  26)
color_dict["Gray011"] = ( 28,  28,  28)
color_dict["Gray012"] = ( 31,  31,  31)
color_dict["Gray013"] = ( 33,  33,  33)
color_dict["Gray014"] = ( 36,  36,  36)
color_dict["Gray015"] = ( 38,  38,  38)
color_dict["Gray016"] = ( 41,  41,  41)
color_dict["Gray017"] = ( 43,  43,  43)
color_dict["Gray018"] = ( 46,  46,  46)
color_dict["Gray019"] = ( 48,  48,  48)
color_dict["Gray020"] = ( 51,  51,  51)
color_dict["Gray021"] = ( 54,  54,  54)
color_dict["Gray022"] = ( 56,  56,  56)
color_dict["Gray023"] = ( 59,  59,  59)
color_dict["Gray024"] = ( 61,  61,  61)
color_dict["Gray025"] = ( 64,  64,  64)
color_dict["Gray026"] = ( 66,  66,  66)
color_dict["Gray027"] = ( 69,  69,  69)
color_dict["Gray028"] = ( 71,  71,  71)
color_dict["Gray029"] = ( 74,  74,  74)
color_dict["Gray030"] = ( 77,  77,  77)
color_dict["Gray031"] = ( 79,  79,  79)
color_dict["Gray032"] = ( 82,  82,  82)
color_dict["Gray033"] = ( 84,  84,  84)
color_dict["Gray034"] = ( 87,  87,  87)
color_dict["Gray035"] = ( 89,  89,  89)
color_dict["Gray036"] = ( 92,  92,  92)
color_dict["Gray037"] = ( 94,  94,  94)
color_dict["Gray038"] = ( 97,  97,  97)
color_dict["Gray039"] = ( 99,  99,  99)
color_dict["Gray040"] = (102, 102, 102)
color_dict["Gray041"] = (105, 105, 105)
color_dict["Gray042"] = (107, 107, 107)
color_dict["Gray043"] = (110, 110, 110)
color_dict["Gray044"] = (112, 112, 112)
color_dict["Gray045"] = (115, 115, 115)
color_dict["Gray046"] = (117, 117, 117)
color_dict["Gray047"] = (120, 120, 120)
color_dict["Gray048"] = (122, 122, 122)
color_dict["Gray049"] = (125, 125, 125)
color_dict["Gray050"] = (127, 127, 127)
color_dict["Gray051"] = (130, 130, 130)
color_dict["Gray052"] = (133, 133, 133)
color_dict["Gray053"] = (135, 135, 135)
color_dict["Gray054"] = (138, 138, 138)
color_dict["Gray055"] = (140, 140, 140)
color_dict["Gray056"] = (143, 143, 143)
color_dict["Gray057"] = (145, 145, 145)
color_dict["Gray058"] = (148, 148, 148)
color_dict["Gray059"] = (150, 150, 150)
color_dict["Gray060"] = (153, 153, 153)
color_dict["Gray061"] = (156, 156, 156)
color_dict["Gray062"] = (158, 158, 158)
color_dict["Gray063"] = (161, 161, 161)
color_dict["Gray064"] = (163, 163, 163)
color_dict["Gray065"] = (166, 166, 166)
color_dict["Gray066"] = (168, 168, 168)
color_dict["Gray067"] = (171, 171, 171)
color_dict["Gray068"] = (173, 173, 173)
color_dict["Gray069"] = (176, 176, 176)
color_dict["Gray070"] = (179, 179, 179)
color_dict["Gray071"] = (181, 181, 181)
color_dict["Gray072"] = (184, 184, 184)
color_dict["Gray073"] = (186, 186, 186)
color_dict["Gray074"] = (189, 189, 189)
color_dict["Gray075"] = (191, 191, 191)
color_dict["Gray076"] = (194, 194, 194)
color_dict["Gray077"] = (196, 196, 196)
color_dict["Gray078"] = (199, 199, 199)
color_dict["Gray079"] = (201, 201, 201)
color_dict["Gray080"] = (204, 204, 204)
color_dict["Gray081"] = (207, 207, 207)
color_dict["Gray082"] = (209, 209, 209)
color_dict["Gray083"] = (212, 212, 212)
color_dict["Gray084"] = (214, 214, 214)
color_dict["Gray085"] = (217, 217, 217)
color_dict["Gray086"] = (219, 219, 219)
color_dict["Gray087"] = (222, 222, 222)
color_dict["Gray088"] = (224, 224, 224)
color_dict["Gray089"] = (227, 227, 227)
color_dict["Gray090"] = (229, 229, 229)
color_dict["Gray091"] = (232, 232, 232)
color_dict["Gray092"] = (235, 235, 235)
color_dict["Gray093"] = (237, 237, 237)
color_dict["Gray094"] = (240, 240, 240)
color_dict["Gray095"] = (242, 242, 242)
color_dict["Gray096"] = (245, 245, 245)
color_dict["Gray097"] = (247, 247, 247)
color_dict["Gray098"] = (250, 250, 250)
color_dict["Gray099"] = (252, 252, 252)
color_dict["Gray100"] = (255, 255, 255)
color_dict["DarkGray"] = (169, 169, 169)
color_dict["DarkBlue"] = (0, 0, 139)
color_dict["DarkCyan"] = (0, 139, 139)
color_dict["DarkMagenta"] = (139,   0, 139)
color_dict["DarkRed"] = (139,   0,   0)
color_dict["LightGreen"] = (144, 238, 144)

color_list = [
[255, 250, 250, "Snow"],
[248, 248, 255, "GhostWhite"],
[245, 245, 245, "WhiteSmoke"],
[220, 220, 220, "Gainsboro"],
[255, 250, 240, "FloralWhite"],
[253, 245, 230, "OldLace"],
[250, 240, 230, "Linen"],
[250, 235, 215, "AntiqueWhite"],
[255, 239, 213, "PapayaWhip"],
[255, 235, 205, "BlanchedAlmond"],
[255, 228, 196, "Bisque"],
[255, 218, 185, "PeachPuff"],
[255, 222, 173, "NavajoWhite"],
[255, 228, 181, "Moccasin"],
[255, 248, 220, "Cornsilk"],
[255, 255, 240, "Ivory"],
[255, 250, 205, "LemonChiffon"],
[255, 245, 238, "Seashell"],
[240, 255, 240, "Honeydew"],
[245, 255, 250, "MintCream"],
[240, 255, 255, "Azure"],
[240, 248, 255, "AliceBlue"],
[230, 230, 250, "Lavender"],
[255, 240, 245, "LavenderBlush"],
[255, 228, 225, "MistyRose"],
[255, 255, 255, "White"],
[  0,   0,   0, "Black"],
[ 47,  79,  79, "DarkSlateGray"],
[105, 105, 105, "DimGray"],
[112, 128, 144, "SlateGray"],
[119, 136, 153, "LightSlateGray"],
[190, 190, 190, "Gray"],
[211, 211, 211, "LightGray"],
[ 25,  25, 112, "MidnightBlue"],
[  0,   0, 128, "Navy"],
[  0,   0, 128, "NavyBlue"],
[100, 149, 237, "CornflowerBlue"],
[ 72,  61, 139, "DarkSlateBlue"],
[106,  90, 205, "SlateBlue"],
[123, 104, 238, "MediumSlateBlue"],
[132, 112, 255, "LightSlateBlue"],
[  0,   0, 205, "MediumBlue"],
[ 65, 105, 225, "RoyalBlue"],
[  0,   0, 255, "Blue"],
[ 30, 144, 255, "DodgerBlue"],
[  0, 191, 255, "DeepSkyBlue"],
[135, 206, 235, "SkyBlue"],
[135, 206, 250, "LightSkyBlue"],
[ 70, 130, 180, "SteelBlue"],
[176, 196, 222, "LightSteelBlue"],
[173, 216, 230, "LightBlue"],
[176, 224, 230, "PowderBlue"],
[175, 238, 238, "PaleTurquoise"],
[  0, 206, 209, "DarkTurquoise"],
[ 72, 209, 204, "MediumTurquoise"],
[ 64, 224, 208, "Turquoise"],
[  0, 255, 255, "Cyan"],
[224, 255, 255, "LightCyan"],
[ 95, 158, 160, "CadetBlue"],
[102, 205, 170, "MediumAquamarine"],
[127, 255, 212, "Aquamarine"],
[  0, 100,   0, "DarkGreen"],
[ 85, 107,  47, "DarkOliveGreen"],
[143, 188, 143, "DarkSeaGreen"],
[ 46, 139,  87, "SeaGreen"],
[ 60, 179, 113, "MediumSeaGreen"],
[ 32, 178, 170, "LightSeaGreen"],
[152, 251, 152, "PaleGreen"],
[  0, 255, 127, "SpringGreen"],
[124, 252,   0, "LawnGreen"],
[  0, 255,   0, "Green"],
[127, 255,   0, "Chartreuse"],
[  0, 250, 154, "MediumSpringGreen"],
[173, 255,  47, "GreenYellow"],
[ 50, 205,  50, "LimeGreen"],
[154, 205,  50, "YellowGreen"],
[ 34, 139,  34, "ForestGreen"],
[107, 142,  35, "OliveDrab"],
[189, 183, 107, "DarkKhaki"],
[240, 230, 140, "Khaki"],
[238, 232, 170, "PaleGoldenrod"],
[250, 250, 210, "LightGoldenrodYellow"],
[255, 255, 224, "LightYellow"],
[255, 255,   0, "Yellow"],
[255, 215,   0, "Gold"],
[238, 221, 130, "LightGoldenrod"],
[218, 165,  32, "Goldenrod"],
[184, 134,  11, "DarkGoldenrod"],
[188, 143, 143, "RosyBrown"],
[205,  92,  92, "IndianRed"],
[139,  69,  19, "SaddleBrown"],
[160,  82,  45, "Sienna"],
[205, 133,  63, "Peru"],
[222, 184, 135, "Burlywood"],
[245, 245, 220, "Beige"],
[245, 222, 179, "Wheat"],
[244, 164,  96, "SandyBrown"],
[210, 180, 140, "Tan"],
[210, 105,  30, "Chocolate"],
[178,  34,  34, "Firebrick"],
[165,  42,  42, "Brown"],
[233, 150, 122, "DarkSalmon"],
[250, 128, 114, "Salmon"],
[255, 160, 122, "LightSalmon"],
[255, 165,   0, "Orange"],
[255, 140,   0, "DarkOrange"],
[255, 127,  80, "Coral"],
[240, 128, 128, "LightCoral"],
[255,  99,  71, "Tomato"],
[255,  69,   0, "OrangeRed"],
[255,   0,   0, "Red"],
[255, 105, 180, "HotPink"],
[255,  20, 147, "DeepPink"],
[255, 192, 203, "Pink"],
[255, 182, 193, "LightPink"],
[219, 112, 147, "PaleVioletRed"],
[176,  48,  96, "Maroon"],
[199,  21, 133, "MediumVioletRed"],
[208,  32, 144, "VioletRed"],
[255,   0, 255, "Magenta"],
[238, 130, 238, "Violet"],
[221, 160, 221, "Plum"],
[218, 112, 214, "Orchid"],
[186,  85, 211, "MediumOrchid"],
[153,  50, 204, "DarkOrchid"],
[148,   0, 211, "DarkViolet"],
[138,  43, 226, "BlueViolet"],
[160,  32, 240, "Purple"],
[147, 112, 219, "MediumPurple"],
[216, 191, 216, "Thistle"],
[255, 250, 250, "Snow1"],
[238, 233, 233, "Snow2"],
[205, 201, 201, "Snow3"],
[139, 137, 137, "Snow4"],
[255, 245, 238, "Seashell1"],
[238, 229, 222, "Seashell2"],
[205, 197, 191, "Seashell3"],
[139, 134, 130, "Seashell4"],
[255, 239, 219, "AntiqueWhite1"],
[238, 223, 204, "AntiqueWhite2"],
[205, 192, 176, "AntiqueWhite3"],
[139, 131, 120, "AntiqueWhite4"],
[255, 228, 196, "Bisque1"],
[238, 213, 183, "Bisque2"],
[205, 183, 158, "Bisque3"],
[139, 125, 107, "Bisque4"],
[255, 218, 185, "PeachPuff1"],
[238, 203, 173, "PeachPuff2"],
[205, 175, 149, "PeachPuff3"],
[139, 119, 101, "PeachPuff4"],
[255, 222, 173, "NavajoWhite1"],
[238, 207, 161, "NavajoWhite2"],
[205, 179, 139, "NavajoWhite3"],
[139, 121,  94, "NavajoWhite4"],
[255, 250, 205, "LemonChiffon1"],
[238, 233, 191, "LemonChiffon2"],
[205, 201, 165, "LemonChiffon3"],
[139, 137, 112, "LemonChiffon4"],
[255, 248, 220, "Cornsilk1"],
[238, 232, 205, "Cornsilk2"],
[205, 200, 177, "Cornsilk3"],
[139, 136, 120, "Cornsilk4"],
[255, 255, 240, "Ivory1"],
[238, 238, 224, "Ivory2"],
[205, 205, 193, "Ivory3"],
[139, 139, 131, "Ivory4"],
[240, 255, 240, "Honeydew1"],
[224, 238, 224, "Honeydew2"],
[193, 205, 193, "Honeydew3"],
[131, 139, 131, "Honeydew4"],
[255, 240, 245, "LavenderBlush1"],
[238, 224, 229, "LavenderBlush2"],
[205, 193, 197, "LavenderBlush3"],
[139, 131, 134, "LavenderBlush4"],
[255, 228, 225, "MistyRose1"],
[238, 213, 210, "MistyRose2"],
[205, 183, 181, "MistyRose3"],
[139, 125, 123, "MistyRose4"],
[240, 255, 255, "Azure1"],
[224, 238, 238, "Azure2"],
[193, 205, 205, "Azure3"],
[131, 139, 139, "Azure4"],
[131, 111, 255, "SlateBlue1"],
[122, 103, 238, "SlateBlue2"],
[105,  89, 205, "SlateBlue3"],
[ 71,  60, 139, "SlateBlue4"],
[ 72, 118, 255, "RoyalBlue1"],
[ 67, 110, 238, "RoyalBlue2"],
[ 58,  95, 205, "RoyalBlue3"],
[ 39,  64, 139, "RoyalBlue4"],
[  0,   0, 255, "Blue1"],
[  0,   0, 238, "Blue2"],
[  0,   0, 205, "Blue3"],
[  0,   0, 139, "Blue4"],
[ 30, 144, 255, "DodgerBlue1"],
[ 28, 134, 238, "DodgerBlue2"],
[ 24, 116, 205, "DodgerBlue3"],
[ 16,  78, 139, "DodgerBlue4"],
[ 99, 184, 255, "SteelBlue1"],
[ 92, 172, 238, "SteelBlue2"],
[ 79, 148, 205, "SteelBlue3"],
[ 54, 100, 139, "SteelBlue4"],
[  0, 191, 255, "DeepSkyBlue1"],
[  0, 178, 238, "DeepSkyBlue2"],
[  0, 154, 205, "DeepSkyBlue3"],
[  0, 104, 139, "DeepSkyBlue4"],
[135, 206, 255, "SkyBlue1"],
[126, 192, 238, "SkyBlue2"],
[108, 166, 205, "SkyBlue3"],
[ 74, 112, 139, "SkyBlue4"],
[176, 226, 255, "LightSkyBlue1"],
[164, 211, 238, "LightSkyBlue2"],
[141, 182, 205, "LightSkyBlue3"],
[ 96, 123, 139, "LightSkyBlue4"],
[198, 226, 255, "SlateGray1"],
[185, 211, 238, "SlateGray2"],
[159, 182, 205, "SlateGray3"],
[108, 123, 139, "SlateGray4"],
[202, 225, 255, "LightSteelBlue1"],
[188, 210, 238, "LightSteelBlue2"],
[162, 181, 205, "LightSteelBlue3"],
[110, 123, 139, "LightSteelBlue4"],
[191, 239, 255, "LightBlue1"],
[178, 223, 238, "LightBlue2"],
[154, 192, 205, "LightBlue3"],
[104, 131, 139, "LightBlue4"],
[224, 255, 255, "LightCyan1"],
[209, 238, 238, "LightCyan2"],
[180, 205, 205, "LightCyan3"],
[122, 139, 139, "LightCyan4"],
[187, 255, 255, "PaleTurquoise1"],
[174, 238, 238, "PaleTurquoise2"],
[150, 205, 205, "PaleTurquoise3"],
[102, 139, 139, "PaleTurquoise4"],
[152, 245, 255, "CadetBlue1"],
[142, 229, 238, "CadetBlue2"],
[122, 197, 205, "CadetBlue3"],
[ 83, 134, 139, "CadetBlue4"],
[  0, 245, 255, "Turquoise1"],
[  0, 229, 238, "Turquoise2"],
[  0, 197, 205, "Turquoise3"],
[  0, 134, 139, "Turquoise4"],
[  0, 255, 255, "Cyan1"],
[  0, 238, 238, "Cyan2"],
[  0, 205, 205, "Cyan3"],
[  0, 139, 139, "Cyan4"],
[151, 255, 255, "DarkSlateGray1"],
[141, 238, 238, "DarkSlateGray2"],
[121, 205, 205, "DarkSlateGray3"],
[ 82, 139, 139, "DarkSlateGray4"],
[127, 255, 212, "Aquamarine1"],
[118, 238, 198, "Aquamarine2"],
[102, 205, 170, "Aquamarine3"],
[ 69, 139, 116, "Aquamarine4"],
[193, 255, 193, "DarkSeaGreen1"],
[180, 238, 180, "DarkSeaGreen2"],
[155, 205, 155, "DarkSeaGreen3"],
[105, 139, 105, "DarkSeaGreen4"],
[ 84, 255, 159, "SeaGreen1"],
[ 78, 238, 148, "SeaGreen2"],
[ 67, 205, 128, "SeaGreen3"],
[ 46, 139,  87, "SeaGreen4"],
[154, 255, 154, "PaleGreen1"],
[144, 238, 144, "PaleGreen2"],
[124, 205, 124, "PaleGreen3"],
[ 84, 139,  84, "PaleGreen4"],
[  0, 255, 127, "SpringGreen1"],
[  0, 238, 118, "SpringGreen2"],
[  0, 205, 102, "SpringGreen3"],
[  0, 139,  69, "SpringGreen4"],
[  0, 255,   0, "Green1"],
[  0, 238,   0, "Green2"],
[  0, 205,   0, "Green3"],
[  0, 139,   0, "Green4"],
[127, 255,   0, "Chartreuse1"],
[118, 238,   0, "Chartreuse2"],
[102, 205,   0, "Chartreuse3"],
[ 69, 139,   0, "Chartreuse4"],
[192, 255,  62, "OliveDrab1"],
[179, 238,  58, "OliveDrab2"],
[154, 205,  50, "OliveDrab3"],
[105, 139,  34, "OliveDrab4"],
[202, 255, 112, "DarkOliveGreen1"],
[188, 238, 104, "DarkOliveGreen2"],
[162, 205,  90, "DarkOliveGreen3"],
[110, 139,  61, "DarkOliveGreen4"],
[255, 246, 143, "Khaki1"],
[238, 230, 133, "Khaki2"],
[205, 198, 115, "Khaki3"],
[139, 134,  78, "Khaki4"],
[255, 236, 139, "LightGoldenrod1"],
[238, 220, 130, "LightGoldenrod2"],
[205, 190, 112, "LightGoldenrod3"],
[139, 129,  76, "LightGoldenrod4"],
[255, 255, 224, "LightYellow1"],
[238, 238, 209, "LightYellow2"],
[205, 205, 180, "LightYellow3"],
[139, 139, 122, "LightYellow4"],
[255, 255,   0, "Yellow1"],
[238, 238,   0, "Yellow2"],
[205, 205,   0, "Yellow3"],
[139, 139,   0, "Yellow4"],
[255, 215,   0, "Gold1"],
[238, 201,   0, "Gold2"],
[205, 173,   0, "Gold3"],
[139, 117,   0, "Gold4"],
[255, 193,  37, "Goldenrod1"],
[238, 180,  34, "Goldenrod2"],
[205, 155,  29, "Goldenrod3"],
[139, 105,  20, "Goldenrod4"],
[255, 185,  15, "DarkGoldenrod1"],
[238, 173,  14, "DarkGoldenrod2"],
[205, 149,  12, "DarkGoldenrod3"],
[139, 101,   8, "DarkGoldenrod4"],
[255, 193, 193, "RosyBrown1"],
[238, 180, 180, "RosyBrown2"],
[205, 155, 155, "RosyBrown3"],
[139, 105, 105, "RosyBrown4"],
[255, 106, 106, "IndianRed1"],
[238,  99,  99, "IndianRed2"],
[205,  85,  85, "IndianRed3"],
[139,  58,  58, "IndianRed4"],
[255, 130,  71, "Sienna1"],
[238, 121,  66, "Sienna2"],
[205, 104,  57, "Sienna3"],
[139,  71,  38, "Sienna4"],
[255, 211, 155, "Burlywood1"],
[238, 197, 145, "Burlywood2"],
[205, 170, 125, "Burlywood3"],
[139, 115,  85, "Burlywood4"],
[255, 231, 186, "Wheat1"],
[238, 216, 174, "Wheat2"],
[205, 186, 150, "Wheat3"],
[139, 126, 102, "Wheat4"],
[255, 165,  79, "Tan1"],
[238, 154,  73, "Tan2"],
[205, 133,  63, "Tan3"],
[139,  90,  43, "Tan4"],
[255, 127,  36, "Chocolate1"],
[238, 118,  33, "Chocolate2"],
[205, 102,  29, "Chocolate3"],
[139,  69,  19, "Chocolate4"],
[255,  48,  48, "Firebrick1"],
[238,  44,  44, "Firebrick2"],
[205,  38,  38, "Firebrick3"],
[139,  26,  26, "Firebrick4"],
[255,  64,  64, "Brown1"],
[238,  59,  59, "Brown2"],
[205,  51,  51, "Brown3"],
[139,  35,  35, "Brown4"],
[255, 140, 105, "Salmon1"],
[238, 130,  98, "Salmon2"],
[205, 112,  84, "Salmon3"],
[139,  76,  57, "Salmon4"],
[255, 160, 122, "LightSalmon1"],
[238, 149, 114, "LightSalmon2"],
[205, 129,  98, "LightSalmon3"],
[139,  87,  66, "LightSalmon4"],
[255, 165,   0, "Orange1"],
[238, 154,   0, "Orange2"],
[205, 133,   0, "Orange3"],
[139,  90,   0, "Orange4"],
[255, 127,   0, "DarkOrange1"],
[238, 118,   0, "DarkOrange2"],
[205, 102,   0, "DarkOrange3"],
[139,  69,   0, "DarkOrange4"],
[255, 114,  86, "Coral1"],
[238, 106,  80, "Coral2"],
[205,  91,  69, "Coral3"],
[139,  62,  47, "Coral4"],
[255,  99,  71, "Tomato1"],
[238,  92,  66, "Tomato2"],
[205,  79,  57, "Tomato3"],
[139,  54,  38, "Tomato4"],
[255,  69,   0, "OrangeRed1"],
[238,  64,   0, "OrangeRed2"],
[205,  55,   0, "OrangeRed3"],
[139,  37,   0, "OrangeRed4"],
[255,   0,   0, "Red1"],
[238,   0,   0, "Red2"],
[205,   0,   0, "Red3"],
[139,   0,   0, "Red4"],
[255,  20, 147, "DeepPink1"],
[238,  18, 137, "DeepPink2"],
[205,  16, 118, "DeepPink3"],
[139,  10,  80, "DeepPink4"],
[255, 110, 180, "HotPink1"],
[238, 106, 167, "HotPink2"],
[205,  96, 144, "HotPink3"],
[139,  58,  98, "HotPink4"],
[255, 181, 197, "Pink1"],
[238, 169, 184, "Pink2"],
[205, 145, 158, "Pink3"],
[139,  99, 108, "Pink4"],
[255, 174, 185, "LightPink1"],
[238, 162, 173, "LightPink2"],
[205, 140, 149, "LightPink3"],
[139,  95, 101, "LightPink4"],
[255, 130, 171, "PaleVioletRed1"],
[238, 121, 159, "PaleVioletRed2"],
[205, 104, 137, "PaleVioletRed3"],
[139,  71,  93, "PaleVioletRed4"],
[255,  52, 179, "Maroon1"],
[238,  48, 167, "Maroon2"],
[205,  41, 144, "Maroon3"],
[139,  28,  98, "Maroon4"],
[255,  62, 150, "VioletRed1"],
[238,  58, 140, "VioletRed2"],
[205,  50, 120, "VioletRed3"],
[139,  34,  82, "VioletRed4"],
[255,   0, 255, "Magenta1"],
[238,   0, 238, "Magenta2"],
[205,   0, 205, "Magenta3"],
[139,   0, 139, "Magenta4"],
[255, 131, 250, "Orchid1"],
[238, 122, 233, "Orchid2"],
[205, 105, 201, "Orchid3"],
[139,  71, 137, "Orchid4"],
[255, 187, 255, "Plum1"],
[238, 174, 238, "Plum2"],
[205, 150, 205, "Plum3"],
[139, 102, 139, "Plum4"],
[224, 102, 255, "MediumOrchid1"],
[209,  95, 238, "MediumOrchid2"],
[180,  82, 205, "MediumOrchid3"],
[122,  55, 139, "MediumOrchid4"],
[191,  62, 255, "DarkOrchid1"],
[178,  58, 238, "DarkOrchid2"],
[154,  50, 205, "DarkOrchid3"],
[104,  34, 139, "DarkOrchid4"],
[155,  48, 255, "Purple1"],
[145,  44, 238, "Purple2"],
[125,  38, 205, "Purple3"],
[ 85,  26, 139, "Purple4"],
[171, 130, 255, "MediumPurple1"],
[159, 121, 238, "MediumPurple2"],
[137, 104, 205, "MediumPurple3"],
[ 93,  71, 139, "MediumPurple4"],
[255, 225, 255, "Thistle1"],
[238, 210, 238, "Thistle2"],
[205, 181, 205, "Thistle3"],
[139, 123, 139, "Thistle4"],
[  0,   0,   0, "Gray000"],
[  3,   3,   3, "Gray001"],
[  5,   5,   5, "Gray002"],
[  8,   8,   8, "Gray003"],
[ 10,  10,  10, "Gray004"],
[ 13,  13,  13, "Gray005"],
[ 15,  15,  15, "Gray006"],
[ 18,  18,  18, "Gray007"],
[ 20,  20,  20, "Gray008"],
[ 23,  23,  23, "Gray009"],
[ 26,  26,  26, "Gray010"],
[ 28,  28,  28, "Gray011"],
[ 31,  31,  31, "Gray012"],
[ 33,  33,  33, "Gray013"],
[ 36,  36,  36, "Gray014"],
[ 38,  38,  38, "Gray015"],
[ 41,  41,  41, "Gray016"],
[ 43,  43,  43, "Gray017"],
[ 46,  46,  46, "Gray018"],
[ 48,  48,  48, "Gray019"],
[ 51,  51,  51, "Gray020"],
[ 54,  54,  54, "Gray021"],
[ 56,  56,  56, "Gray022"],
[ 59,  59,  59, "Gray023"],
[ 61,  61,  61, "Gray024"],
[ 64,  64,  64, "Gray025"],
[ 66,  66,  66, "Gray026"],
[ 69,  69,  69, "Gray027"],
[ 71,  71,  71, "Gray028"],
[ 74,  74,  74, "Gray029"],
[ 77,  77,  77, "Gray030"],
[ 79,  79,  79, "Gray031"],
[ 82,  82,  82, "Gray032"],
[ 84,  84,  84, "Gray033"],
[ 87,  87,  87, "Gray034"],
[ 89,  89,  89, "Gray035"],
[ 92,  92,  92, "Gray036"],
[ 94,  94,  94, "Gray037"],
[ 97,  97,  97, "Gray038"],
[ 99,  99,  99, "Gray039"],
[102, 102, 102, "Gray040"],
[105, 105, 105, "Gray041"],
[107, 107, 107, "Gray042"],
[110, 110, 110, "Gray043"],
[112, 112, 112, "Gray044"],
[115, 115, 115, "Gray045"],
[117, 117, 117, "Gray046"],
[120, 120, 120, "Gray047"],
[122, 122, 122, "Gray048"],
[125, 125, 125, "Gray049"],
[127, 127, 127, "Gray050"],
[130, 130, 130, "Gray051"],
[133, 133, 133, "Gray052"],
[135, 135, 135, "Gray053"],
[138, 138, 138, "Gray054"],
[140, 140, 140, "Gray055"],
[143, 143, 143, "Gray056"],
[145, 145, 145, "Gray057"],
[148, 148, 148, "Gray058"],
[150, 150, 150, "Gray059"],
[153, 153, 153, "Gray060"],
[156, 156, 156, "Gray061"],
[158, 158, 158, "Gray062"],
[161, 161, 161, "Gray063"],
[163, 163, 163, "Gray064"],
[166, 166, 166, "Gray065"],
[168, 168, 168, "Gray066"],
[171, 171, 171, "Gray067"],
[173, 173, 173, "Gray068"],
[176, 176, 176, "Gray069"],
[179, 179, 179, "Gray070"],
[181, 181, 181, "Gray071"],
[184, 184, 184, "Gray072"],
[186, 186, 186, "Gray073"],
[189, 189, 189, "Gray074"],
[191, 191, 191, "Gray075"],
[194, 194, 194, "Gray076"],
[196, 196, 196, "Gray077"],
[199, 199, 199, "Gray078"],
[201, 201, 201, "Gray079"],
[204, 204, 204, "Gray080"],
[207, 207, 207, "Gray081"],
[209, 209, 209, "Gray082"],
[212, 212, 212, "Gray083"],
[214, 214, 214, "Gray084"],
[217, 217, 217, "Gray085"],
[219, 219, 219, "Gray086"],
[222, 222, 222, "Gray087"],
[224, 224, 224, "Gray088"],
[227, 227, 227, "Gray089"],
[229, 229, 229, "Gray090"],
[232, 232, 232, "Gray091"],
[235, 235, 235, "Gray092"],
[237, 237, 237, "Gray093"],
[240, 240, 240, "Gray094"],
[242, 242, 242, "Gray095"],
[245, 245, 245, "Gray096"],
[247, 247, 247, "Gray097"],
[250, 250, 250, "Gray098"],
[252, 252, 252, "Gray099"],
[255, 255, 255, "Gray100"],
[169, 169, 169, "DarkGray"],
[0,     0, 139, "DarkBlue"],
[0,   139, 139, "DarkCyan"],
[139,   0, 139, "DarkMagenta"],
[139,   0,   0, "DarkRed"],
[144, 238, 144, "LightGreen"]]
