# -*- coding: iso-8859-2 -*-

#	Programmer:	Piotr Borek
#	E-mail:		piotrborek@op.pl
#
#	Copyright 2006  Piotr Borek
#
#	Distributed under the terms of the GPL (GNU Public License)
#
#    pyX4 is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

from lib.splash import SplashWindow
SplashWindow.pulse_text_import('lib.data')

class ShareData(object):
    def __init__(self):
        self.share_data = {}
    def register_data(self, name, data, low=False):
	if low:
	    name = name.lower()
    	if self.share_data.has_key(name):
    	    raise Exception('Key %s already exists' % name)
    	self.share_data[name] = data
    def unregister_data(self, name, low=False):
	if low:
	    name = name.lower()
        self.share_data.pop(name)
    def get_data(self, name, low=False):
	if low:
	    name = name.lower()
        return self.share_data[name]
