#!/usr/bin/python

import hotshot
import hotshot.stats

prof = hotshot.Profile("profile.prof")

import main

prof.runcall(main.run)
prof.close()

s = hotshot.stats.load("profile.prof")
s.strip_dirs()
s.sort_stats('time', 'calls')
s.print_stats()
